* [gentoo-commits] repo/gentoo:master commit in: net-misc/endlessh/files/, net-misc/endlessh/
@ 2019-03-25 21:57 Georgy Yakovlev
0 siblings, 0 replies; 4+ messages in thread
From: Georgy Yakovlev @ 2019-03-25 21:57 UTC (permalink / raw
To: gentoo-commits
commit: d838e64623453aa3ec106d76b34509327d583066
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 21:56:38 2019 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 21:57:22 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d838e646
net-misc/endlessh: new package, ssh tarpit service
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-misc/endlessh/Manifest | 1 +
net-misc/endlessh/endlessh-0.1.ebuild | 70 ++++++++++++++++++++++++++++++++++
net-misc/endlessh/endlessh-9999.ebuild | 70 ++++++++++++++++++++++++++++++++++
net-misc/endlessh/files/endlessh.confd | 22 +++++++++++
net-misc/endlessh/files/endlessh.initd | 22 +++++++++++
net-misc/endlessh/files/logrotated | 7 ++++
net-misc/endlessh/metadata.xml | 23 +++++++++++
7 files changed, 215 insertions(+)
diff --git a/net-misc/endlessh/Manifest b/net-misc/endlessh/Manifest
new file mode 100644
index 00000000000..997e300902a
--- /dev/null
+++ b/net-misc/endlessh/Manifest
@@ -0,0 +1 @@
+DIST endlessh-0.1.tar.gz 8566 BLAKE2B e8fefd6ef80d26c25f57ffe1cef502af05322e348d63ca17c0bb626e35d5c1d35cb98384b35c86c579f2876573f4c13468605c3f44325a48d19e27c499657853 SHA512 0d11c82a708a26bd77ca85f7f3bd0eda2807ded9de88e3e518da09a38b3e94fc2658ea6f210e4f1493d38ca5948968c5488c8f2f09ff2adf22b799622b4952b8
diff --git a/net-misc/endlessh/endlessh-0.1.ebuild b/net-misc/endlessh/endlessh-0.1.ebuild
new file mode 100644
index 00000000000..105c786b101
--- /dev/null
+++ b/net-misc/endlessh/endlessh-0.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+
+inherit python-single-r1 systemd toolchain-funcs
+
+DESCRIPTION="SSH tarpit that slowly sends and endless banner"
+HOMEPAGE="https://github.com/skeeto/endlessh"
+
+if [ ${PV} == "9999" ] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/skeeto/${PN}.git"
+else
+ SRC_URI="https://github.com/skeeto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Unlicense"
+SLOT="0"
+IUSE="tools"
+REQUIRED_USE="tools? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND=""
+
+RDEPEND="${DEPEND}
+ tools? (
+ ${PYTHON_DEPS}
+ dev-db/sqlite
+ dev-python/pyrfc3339[${PYTHON_USEDEP}]
+ )
+"
+
+BDEPEND=""
+
+pkg_setup() {
+ use tools && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ tc-export CC
+
+ sed -i \
+ -e 's/^CC/CC?/' \
+ -e 's/^CFLAGS =/CFLAGS +=/' \
+ -e 's/ -Os//' \
+ -e 's/^LDFLAGS/LDFLAGS?/' \
+ Makefile || die
+
+ sed -i -e "/^ExecStart=/ s:=/opt/endlessh:=${EPREFIX}/usr/bin:" \
+ util/endlessh.service || die
+}
+
+src_install() {
+ dobin endlessh
+
+ newinitd "${FILESDIR}"/endlessh.initd endlessh
+ newconfd "${FILESDIR}"/endlessh.confd endlessh
+
+ systemd_dounit util/endlessh.service
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/logrotated" endlessh
+
+ einstalldocs
+}
diff --git a/net-misc/endlessh/endlessh-9999.ebuild b/net-misc/endlessh/endlessh-9999.ebuild
new file mode 100644
index 00000000000..105c786b101
--- /dev/null
+++ b/net-misc/endlessh/endlessh-9999.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+
+inherit python-single-r1 systemd toolchain-funcs
+
+DESCRIPTION="SSH tarpit that slowly sends and endless banner"
+HOMEPAGE="https://github.com/skeeto/endlessh"
+
+if [ ${PV} == "9999" ] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/skeeto/${PN}.git"
+else
+ SRC_URI="https://github.com/skeeto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Unlicense"
+SLOT="0"
+IUSE="tools"
+REQUIRED_USE="tools? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND=""
+
+RDEPEND="${DEPEND}
+ tools? (
+ ${PYTHON_DEPS}
+ dev-db/sqlite
+ dev-python/pyrfc3339[${PYTHON_USEDEP}]
+ )
+"
+
+BDEPEND=""
+
+pkg_setup() {
+ use tools && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ tc-export CC
+
+ sed -i \
+ -e 's/^CC/CC?/' \
+ -e 's/^CFLAGS =/CFLAGS +=/' \
+ -e 's/ -Os//' \
+ -e 's/^LDFLAGS/LDFLAGS?/' \
+ Makefile || die
+
+ sed -i -e "/^ExecStart=/ s:=/opt/endlessh:=${EPREFIX}/usr/bin:" \
+ util/endlessh.service || die
+}
+
+src_install() {
+ dobin endlessh
+
+ newinitd "${FILESDIR}"/endlessh.initd endlessh
+ newconfd "${FILESDIR}"/endlessh.confd endlessh
+
+ systemd_dounit util/endlessh.service
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/logrotated" endlessh
+
+ einstalldocs
+}
diff --git a/net-misc/endlessh/files/endlessh.confd b/net-misc/endlessh/files/endlessh.confd
new file mode 100644
index 00000000000..a114889c8ca
--- /dev/null
+++ b/net-misc/endlessh/files/endlessh.confd
@@ -0,0 +1,22 @@
+# /etc/conf.d/endlessh: config file for /etc/init.d/endlessh
+#
+#ENDLESSH_ARGS=""
+#
+# -d INT Message millisecond delay [10000]
+# -f Set and load config file [/etc/endlessh/config]
+# -l INT Maximum banner line length (3-255) [32]
+# -m INT Maximum number of clients [4096]
+# -p INT Listening port [2222]
+# -v Print diagnostics to standard output (repeatable)
+
+# EXAMPLE: listen on port 22, log all queries and errors in very verbose mode
+
+#ENDLESSH_ARGS="-p 22 -vv"
+
+# plain file (preferred), change logrotate file as well if you change this.
+#output_log=/var/log/"${RC_SVCNAME}.log"
+#error_log=/var/log/"${RC_SVCNAME}.error.log"
+
+# syslog support via LOGGER(1). Note this spawns logger processes per io stream
+#output_logger="logger -p daemon.none --"
+#error_logger="logger -p daemon.err --"
diff --git a/net-misc/endlessh/files/endlessh.initd b/net-misc/endlessh/files/endlessh.initd
new file mode 100755
index 00000000000..a88fd9c34c9
--- /dev/null
+++ b/net-misc/endlessh/files/endlessh.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need localmount
+ use net
+}
+
+description="Starts endlessh tarpit"
+
+command="/usr/bin/endlessh"
+command_args="${ENDLESSH_ARGS}"
+command_background="true"
+extra_started_commands="reload"
+pidfile="/run/${RC_SVCNAME}.pid"
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME} configuration"
+ start-stop-daemon --exec $command --signal HUP
+ eend $?
+}
diff --git a/net-misc/endlessh/files/logrotated b/net-misc/endlessh/files/logrotated
new file mode 100644
index 00000000000..53c9efbfe87
--- /dev/null
+++ b/net-misc/endlessh/files/logrotated
@@ -0,0 +1,7 @@
+/var/log/endlessh.log /var/log/endlessh.error.log {
+ missingok
+ notifempty
+ postrotate
+ /etc/init.d/endlessh -q reload
+ endscript
+}
diff --git a/net-misc/endlessh/metadata.xml b/net-misc/endlessh/metadata.xml
new file mode 100644
index 00000000000..10db1a22fbf
--- /dev/null
+++ b/net-misc/endlessh/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gyakovlev@gentoo.org</email>
+ <name>Georgy Yakovlev</name>
+ </maintainer>
+ <longdescription lang="en">
+ Endlessh is an SSH tarpit that very slowly sends an endless, random SSH banner.
+ It keeps SSH clients locked up for hours or even days at a time.
+ The purpose is to put your real SSH server on another port and then let the script kiddies get stuck in this tarpit instead of bothering a real server.
+
+ Since the tarpit is in the banner before any cryptographic exchange occurs, this program doesn't depend on any cryptographic libraries.
+ It's a simple, single-threaded, standalone C program.
+ It uses poll() to trap multiple clients at a time.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">skeeto/endlessh</remote-id>
+ </upstream>
+ <use>
+ <flag name="tools">Install additional python script which can be used to parse logs and save summary to sqlite database</flag>
+ </use>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-misc/endlessh/files/, net-misc/endlessh/
@ 2020-04-21 8:23 Georgy Yakovlev
0 siblings, 0 replies; 4+ messages in thread
From: Georgy Yakovlev @ 2020-04-21 8:23 UTC (permalink / raw
To: gentoo-commits
commit: af3182b61d2db38d9ad2f4b37fb1196c2961f879
Author: Sam James (sam_c) <sam <AT> cmpct <DOT> info>
AuthorDate: Mon Apr 13 07:51:16 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Apr 21 08:23:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af3182b6
net-misc/endlessh: bump to 1.1
Signed-off-by: Sam James (sam_c) <sam <AT> cmpct.info>
Closes: https://github.com/gentoo/gentoo/pull/15328
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-misc/endlessh/Manifest | 1 +
net-misc/endlessh/endlessh-1.1.ebuild | 61 ++++++++++++++++++++++
.../endlessh/files/endlessh-1.1-syslog-help.patch | 24 +++++++++
net-misc/endlessh/files/endlessh.confd-r2 | 29 ++++++++++
net-misc/endlessh/files/endlessh.initd-r2 | 30 +++++++++++
5 files changed, 145 insertions(+)
diff --git a/net-misc/endlessh/Manifest b/net-misc/endlessh/Manifest
index 55b4df2b685..24508ced9f3 100644
--- a/net-misc/endlessh/Manifest
+++ b/net-misc/endlessh/Manifest
@@ -1 +1,2 @@
DIST endlessh-1.0.tar.gz 12258 BLAKE2B add6e24568cc94b244aa52bb484d1516210bfaa5a82440e090a89a94d50fbd4805ae004f917af56a7ad82a6502ae97c059d3f1c24b7c3e13ad1bd5a04bcf1c3e SHA512 a7e4e6ac5dc5e9b6e479ac3323b6a3ecec398ea074970de7794c93bd7a1a77c5662bdfa5752217fe552db1b3dbb9f400183114d7399c5a019637cb40756b46a8
+DIST endlessh-1.1.tar.gz 12844 BLAKE2B 8828739844cb03f67067bb020c3da5b5c6610a195202776da1ae184c0ab02c9f2acef32cc6536bbb80a46242251e3425eed2c70b0d1a90b0e73696ac14babc94 SHA512 7df2463425ad1417a2e328eacfb840aed14727168b83b5adf80cf6c5c98a6fc05f96bba9257b543ef60202a74383e4978e92c4a1b959e35d4ab94e0e5bda14fd
diff --git a/net-misc/endlessh/endlessh-1.1.ebuild b/net-misc/endlessh/endlessh-1.1.ebuild
new file mode 100644
index 00000000000..d4fc3553bf5
--- /dev/null
+++ b/net-misc/endlessh/endlessh-1.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd toolchain-funcs
+
+DESCRIPTION="SSH tarpit that slowly sends and endless banner"
+HOMEPAGE="https://github.com/skeeto/endlessh"
+
+if [ ${PV} == "9999" ] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/skeeto/${PN}.git"
+else
+ SRC_URI="https://github.com/skeeto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc64 ~x86"
+fi
+
+LICENSE="Unlicense"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+BDEPEND=""
+
+src_prepare() {
+ default
+
+ tc-export CC
+
+ sed -i \
+ -e 's/^CC/CC?/' \
+ -e 's/^CFLAGS =/CFLAGS +=/' \
+ -e 's/ -Os//' \
+ -e 's/^LDFLAGS/LDFLAGS?/' \
+ -e 's/^PREFIX/PREFIX?/' \
+ Makefile || die
+
+ sed -i -e "/^ExecStart=/ s:=/opt/endlessh:=${EPREFIX}/usr/bin:" \
+ util/endlessh.service || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX=/usr install
+
+ einstalldocs
+
+ newinitd "${FILESDIR}"/endlessh.initd-r2 endlessh
+ newconfd "${FILESDIR}"/endlessh.confd-r2 endlessh
+
+ systemd_dounit util/endlessh.service
+
+ insinto /usr/share/"${PN}"
+ doins util/{pivot.py,schema.sql}
+}
+
+pkg_postinst() {
+ elog "Log parsing script installed to ${EPREFIX}/usr/share/${PN}"
+ elog "Install dev-python/pyrfc3339 if you are going to use it"
+}
diff --git a/net-misc/endlessh/files/endlessh-1.1-syslog-help.patch b/net-misc/endlessh/files/endlessh-1.1-syslog-help.patch
new file mode 100644
index 00000000000..ec87997d2f2
--- /dev/null
+++ b/net-misc/endlessh/files/endlessh-1.1-syslog-help.patch
@@ -0,0 +1,24 @@
+From 3643683c20774afa1606bae5f1c4ccbfd2a905db Mon Sep 17 00:00:00 2001
+From: "Sam James (sam_c)" <sam@cmpct.info>
+Date: Tue, 21 Apr 2020 08:09:49 +0000
+Subject: [PATCH] Add -s (syslog) to help output
+
+Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
+---
+ endlessh.c | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/endlessh.c b/endlessh.c
+index adb8ad3..8c3afff 100644
+--- a/endlessh.c
++++ b/endlessh.c
+@@ -530,6 +530,8 @@ usage(FILE *f)
+ fprintf(f, " -m INT Maximum number of clients ["
+ XSTR(DEFAULT_MAX_CLIENTS) "]\n");
+ fprintf(f, " -p INT Listening port [" XSTR(DEFAULT_PORT) "]\n");
++ fprintf(f, " -s Print diagnostics to syslog instead of "
++ "standard output\n");
+ fprintf(f, " -v Print diagnostics to standard output "
+ "(repeatable)\n");
+ fprintf(f, " -V Print version information and exit\n");
+
diff --git a/net-misc/endlessh/files/endlessh.confd-r2 b/net-misc/endlessh/files/endlessh.confd-r2
new file mode 100644
index 00000000000..062e30f0c16
--- /dev/null
+++ b/net-misc/endlessh/files/endlessh.confd-r2
@@ -0,0 +1,29 @@
+# /etc/conf.d/endlessh: config file for /etc/init.d/endlessh
+#
+#default options used by init.d if this is unset
+#ENDLESSH_ARGS="-sv"
+#
+#Usage: endlessh [-vh] [-46] [-d MS] [-f CONFIG] [-l LEN] [-m LIMIT] [-p PORT]
+# -4 Bind to IPv4 only
+# -6 Bind to IPv6 only
+# -d INT Message millisecond delay [10000]
+# -f Set and load config file [/etc/endlessh/config]
+# -h Print this help message and exit
+# -l INT Maximum banner line length (3-255) [32]
+# -m INT Maximum number of clients [4096]
+# -p INT Listening port [2222]
+# -v Print diagnostics to standard output (repeatable)
+# -V Print version information and exit
+
+# EXAMPLE 1: listen on port 22, log all queries and errors in very verbose mode
+#ENDLESSH_ARGS="-p 22 -vv"
+
+# EXAMPLE 2: load settings from config file
+#ENDLESSH_ARGS="-f /etc/endlessh/config"
+
+# EXAMPLE 3: load settings from config file, but override port
+#ENDLESSH_ARGS="-f /etc/endlessh/config -p 22"
+
+# LOGGING: by default is syslog
+# You can add -v (or -vv) for verbosity
+#ENDLESSH_ARGS="-s -v"
diff --git a/net-misc/endlessh/files/endlessh.initd-r2 b/net-misc/endlessh/files/endlessh.initd-r2
new file mode 100644
index 00000000000..0b995f683d9
--- /dev/null
+++ b/net-misc/endlessh/files/endlessh.initd-r2
@@ -0,0 +1,30 @@
+#!/sbin/openrc-run
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ after bootmisc
+ need localmount
+ use clock logger net
+}
+
+description="Starts endlessh tarpit"
+
+command="/usr/bin/endlessh"
+# NOTE: You will need to add -s to ENDLESSH_ARGS in /etc/conf.d/endlessh if modified to keep syslog
+command_args="${ENDLESSH_ARGS:--sv}"
+command_background="true"
+extra_started_commands="dumpstats reload"
+pidfile="/run/${RC_SVCNAME}.pid"
+
+dumpstats() {
+ ebegin "Dumping connection stats of ${RC_SVCNAME} to log"
+ start-stop-daemon --signal SIGUSR1 --pidfile "${pidfile}"
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME} configuration"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $?
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-misc/endlessh/files/, net-misc/endlessh/
@ 2020-06-21 20:08 Georgy Yakovlev
0 siblings, 0 replies; 4+ messages in thread
From: Georgy Yakovlev @ 2020-06-21 20:08 UTC (permalink / raw
To: gentoo-commits
commit: e0e09c698ce483ee91e93ad8a04e8fa0fdf06de1
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 21 20:05:30 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 20:07:51 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0e09c69
net-misc/endlessh: remove revision from file names
Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-misc/endlessh/endlessh-1.1-r1.ebuild | 4 ++--
net-misc/endlessh/endlessh-9999.ebuild | 4 ++--
net-misc/endlessh/files/{endlessh.confd-r2 => endlessh.confd} | 0
net-misc/endlessh/files/{endlessh.initd-r2 => endlessh.initd} | 2 +-
4 files changed, 5 insertions(+), 5 deletions(-)
diff --git a/net-misc/endlessh/endlessh-1.1-r1.ebuild b/net-misc/endlessh/endlessh-1.1-r1.ebuild
index 73bfcfb1b20..eb2ab463fcb 100644
--- a/net-misc/endlessh/endlessh-1.1-r1.ebuild
+++ b/net-misc/endlessh/endlessh-1.1-r1.ebuild
@@ -50,8 +50,8 @@ src_install() {
einstalldocs
- newinitd "${FILESDIR}"/endlessh.initd-r2 endlessh
- newconfd "${FILESDIR}"/endlessh.confd-r2 endlessh
+ newinitd "${FILESDIR}"/endlessh.initd endlessh
+ newconfd "${FILESDIR}"/endlessh.confd endlessh
systemd_dounit util/endlessh.service
diff --git a/net-misc/endlessh/endlessh-9999.ebuild b/net-misc/endlessh/endlessh-9999.ebuild
index 89e86696bb7..4fe369495d5 100644
--- a/net-misc/endlessh/endlessh-9999.ebuild
+++ b/net-misc/endlessh/endlessh-9999.ebuild
@@ -46,8 +46,8 @@ src_install() {
einstalldocs
- newinitd "${FILESDIR}"/endlessh.initd-r2 endlessh
- newconfd "${FILESDIR}"/endlessh.confd-r2 endlessh
+ newinitd "${FILESDIR}"/endlessh.initd endlessh
+ newconfd "${FILESDIR}"/endlessh.confd endlessh
systemd_dounit util/endlessh.service
diff --git a/net-misc/endlessh/files/endlessh.confd-r2 b/net-misc/endlessh/files/endlessh.confd
similarity index 100%
rename from net-misc/endlessh/files/endlessh.confd-r2
rename to net-misc/endlessh/files/endlessh.confd
diff --git a/net-misc/endlessh/files/endlessh.initd-r2 b/net-misc/endlessh/files/endlessh.initd
similarity index 95%
rename from net-misc/endlessh/files/endlessh.initd-r2
rename to net-misc/endlessh/files/endlessh.initd
index 0b995f683d9..1639c57348c 100644
--- a/net-misc/endlessh/files/endlessh.initd-r2
+++ b/net-misc/endlessh/files/endlessh.initd
@@ -1,5 +1,5 @@
#!/sbin/openrc-run
-# Copyright 2019 Gentoo Authors
+# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
depend() {
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-misc/endlessh/files/, net-misc/endlessh/
@ 2020-06-21 20:08 Georgy Yakovlev
0 siblings, 0 replies; 4+ messages in thread
From: Georgy Yakovlev @ 2020-06-21 20:08 UTC (permalink / raw
To: gentoo-commits
commit: 85b6a69f5babbb25bce25074ef711f0e4a61bdd1
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 21 19:56:24 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 20:07:50 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85b6a69f
net-misc/endlessh: drop old
Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-misc/endlessh/Manifest | 1 -
net-misc/endlessh/endlessh-1.0.ebuild | 64 -------------------------------
net-misc/endlessh/files/endlessh.confd-r1 | 34 ----------------
net-misc/endlessh/files/endlessh.initd-r1 | 29 --------------
net-misc/endlessh/files/logrotated-r1 | 9 -----
5 files changed, 137 deletions(-)
diff --git a/net-misc/endlessh/Manifest b/net-misc/endlessh/Manifest
index 24508ced9f3..ba94bbcd0bc 100644
--- a/net-misc/endlessh/Manifest
+++ b/net-misc/endlessh/Manifest
@@ -1,2 +1 @@
-DIST endlessh-1.0.tar.gz 12258 BLAKE2B add6e24568cc94b244aa52bb484d1516210bfaa5a82440e090a89a94d50fbd4805ae004f917af56a7ad82a6502ae97c059d3f1c24b7c3e13ad1bd5a04bcf1c3e SHA512 a7e4e6ac5dc5e9b6e479ac3323b6a3ecec398ea074970de7794c93bd7a1a77c5662bdfa5752217fe552db1b3dbb9f400183114d7399c5a019637cb40756b46a8
DIST endlessh-1.1.tar.gz 12844 BLAKE2B 8828739844cb03f67067bb020c3da5b5c6610a195202776da1ae184c0ab02c9f2acef32cc6536bbb80a46242251e3425eed2c70b0d1a90b0e73696ac14babc94 SHA512 7df2463425ad1417a2e328eacfb840aed14727168b83b5adf80cf6c5c98a6fc05f96bba9257b543ef60202a74383e4978e92c4a1b959e35d4ab94e0e5bda14fd
diff --git a/net-misc/endlessh/endlessh-1.0.ebuild b/net-misc/endlessh/endlessh-1.0.ebuild
deleted file mode 100644
index c9996640c02..00000000000
--- a/net-misc/endlessh/endlessh-1.0.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 2019-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit systemd toolchain-funcs
-
-DESCRIPTION="SSH tarpit that slowly sends and endless banner"
-HOMEPAGE="https://github.com/skeeto/endlessh"
-
-if [ ${PV} == "9999" ] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/skeeto/${PN}.git"
-else
- SRC_URI="https://github.com/skeeto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~ppc64 ~x86"
-fi
-
-LICENSE="Unlicense"
-SLOT="0"
-IUSE=""
-
-DEPEND=""
-RDEPEND=""
-BDEPEND=""
-
-src_prepare() {
- default
-
- tc-export CC
-
- sed -i \
- -e 's/^CC/CC?/' \
- -e 's/^CFLAGS =/CFLAGS +=/' \
- -e 's/ -Os//' \
- -e 's/^LDFLAGS/LDFLAGS?/' \
- -e 's/^PREFIX/PREFIX?/' \
- Makefile || die
-
- sed -i -e "/^ExecStart=/ s:=/opt/endlessh:=${EPREFIX}/usr/bin:" \
- util/endlessh.service || die
-}
-
-src_install() {
- emake DESTDIR="${D}" PREFIX=/usr install
-
- einstalldocs
-
- newinitd "${FILESDIR}"/endlessh.initd-r1 endlessh
- newconfd "${FILESDIR}"/endlessh.confd-r1 endlessh
-
- systemd_dounit util/endlessh.service
-
- insinto /etc/logrotate.d
- newins "${FILESDIR}/logrotated-r1" endlessh
-
- insinto /usr/share/"${PN}"
- doins util/{pivot.py,schema.sql}
-}
-
-pkg_postinst() {
- elog "Log parsing script installed to ${EPREFIX}/usr/share/${PN}"
- elog "Install dev-python/pyrfc3339 if you are going to use it"
-}
diff --git a/net-misc/endlessh/files/endlessh.confd-r1 b/net-misc/endlessh/files/endlessh.confd-r1
deleted file mode 100644
index 13ba0ef55d2..00000000000
--- a/net-misc/endlessh/files/endlessh.confd-r1
+++ /dev/null
@@ -1,34 +0,0 @@
-# /etc/conf.d/endlessh: config file for /etc/init.d/endlessh
-#
-#ENDLESSH_ARGS=""
-# Usage: [-vh] [-46] [-d MS] [-f CONFIG] [-l LEN] [-m LIMIT] [-p PORT]
-# -4 Bind to IPv4 only
-# -6 Bind to IPv6 only
-# -d INT Message millisecond delay [10000]
-# -f Set and load config file [/etc/endlessh/config]
-# -h Print this help message and exit
-# -l INT Maximum banner line length (3-255) [32]
-# -m INT Maximum number of clients [4096]
-# -p INT Listening port [2222]
-# -v Print diagnostics to standard output (repeatable)
-# -V Print version information and exit
-
-# EXAMPLE 1: listen on port 22, log all queries and errors in very verbose mode
-#ENDLESSH_ARGS="-p 22 -vv"
-
-# EXAMPLE 2: load settings from config file
-#ENDLESSH_ARGS="-f /etc/endlessh/config"
-
-# EXAMPLE 3: load settings from config file, but override port
-#ENDLESSH_ARGS="-f /etc/endlessh/config -p 22"
-
-
-# LOGGING: is disabled by default, enable this to actually redirect messages
-
-# plain file (preferred), change logrotate file as well if you change this.
-#output_log=/var/log/"${RC_SVCNAME}.log"
-#error_log=/var/log/"${RC_SVCNAME}.error.log"
-
-# syslog support via LOGGER(1). Note this spawns logger processes per io stream
-#output_logger="logger -p daemon.none --"
-#error_logger="logger -p daemon.err --"
diff --git a/net-misc/endlessh/files/endlessh.initd-r1 b/net-misc/endlessh/files/endlessh.initd-r1
deleted file mode 100644
index ea8d830af43..00000000000
--- a/net-misc/endlessh/files/endlessh.initd-r1
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
- after bootmisc
- need localmount
- use clock logger net
-}
-
-description="Starts endlessh tarpit"
-
-command="/usr/bin/endlessh"
-command_args="${ENDLESSH_ARGS}"
-command_background="true"
-extra_started_commands="dumpstats reload"
-pidfile="/run/${RC_SVCNAME}.pid"
-
-dumpstats() {
- ebegin "Dumping connection stats of ${RC_SVCNAME} to log"
- start-stop-daemon --signal SIGUSR1 --pidfile "${pidfile}"
- eend $?
-}
-
-reload() {
- ebegin "Reloading ${RC_SVCNAME} configuration"
- start-stop-daemon --signal HUP --pidfile "${pidfile}"
- eend $?
-}
diff --git a/net-misc/endlessh/files/logrotated-r1 b/net-misc/endlessh/files/logrotated-r1
deleted file mode 100644
index 896e89e6474..00000000000
--- a/net-misc/endlessh/files/logrotated-r1
+++ /dev/null
@@ -1,9 +0,0 @@
-/var/log/endlessh.log /var/log/endlessh.error.log {
- copytruncate
- missingok
- notifempty
- sharedscripts
- prerotate
- /etc/init.d/endlessh --ifstarted --quiet dumpstats
- endscript
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2020-06-21 20:08 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-04-21 8:23 [gentoo-commits] repo/gentoo:master commit in: net-misc/endlessh/files/, net-misc/endlessh/ Georgy Yakovlev
-- strict thread matches above, loose matches on Subject: below --
2020-06-21 20:08 Georgy Yakovlev
2020-06-21 20:08 Georgy Yakovlev
2019-03-25 21:57 Georgy Yakovlev
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox